
From: Gerrit Huizenga <gh@us.ibm.com>

Ensure that RBCE and CRBCE are only configured when the other is not built
into the kernel.

Update CRBCE help text to reflect switch from using RelayFS to netlink.

Signed-Off-By: Matt Helsley <matthltc@us.ibm.com>
Signed-Off-By: Gerrit Huizenga <gh@us.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 init/Kconfig |    6 +++---
 1 files changed, 3 insertions(+), 3 deletions(-)

diff -puN init/Kconfig~ckrm-classification-engines-rbce-and-crbce-are-mutually-exclusive init/Kconfig
--- 25/init/Kconfig~ckrm-classification-engines-rbce-and-crbce-are-mutually-exclusive	Wed Jul 13 14:44:35 2005
+++ 25-akpm/init/Kconfig	Wed Jul 13 14:44:35 2005
@@ -206,7 +206,7 @@ config CKRM_RES_NUMTASKS
 
 config CKRM_RBCE
 	tristate "Vanilla Rule-based Classification Engine (RBCE)"
-	depends on CKRM && RCFS_FS
+	depends on CKRM && RCFS_FS && CKRM_CRBCE != y
 	default m
 	help
 	  Provides an optional module to support creation of rules for automatic
@@ -217,14 +217,14 @@ config CKRM_RBCE
 
 config CKRM_CRBCE
 	tristate "Enhanced Rule-based Classification Engine (RBCE)"
-	depends on CKRM && RCFS_FS && DELAY_ACCT
+	depends on CKRM && RCFS_FS && DELAY_ACCT && CKRM_RBCE != y && NET
 	default m
 	help
 	  Provides an optional module to support creation of rules for automatic
 	  classification of kernel objects, just like RBCE above. In addition,
 	  CRBCE provides per-process delay data (requires DELAY_ACCT configured)
 	  enabled) and makes information on significant kernel events available
-	  to userspace tools through relayfs (requires RELAYFS_FS configured).
+	  to userspace tools through netlink.
 
 	  If unsure, say N.
 endmenu
_
